%{?scl:%scl_package mod_wsgi}
%{!?scl:%global pkg_name %{name}}

%global _httpd_moddir %(apxs -q LIBEXECDIR)
%if 0%{?scl:1}
  %if "%{?scl_prefix}" == "python33-"
    %global use_python3 1
  %else
    %global use_python3 0
  %endif
%else
  %global use_python3 0
%endif

Name:           %{?scl_prefix}mod_wsgi
Version:        3.4
Release:        26%{?dist}
Summary:        A WSGI interface for Python web applications in Apache
Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://modwsgi.org
Source0:        http://modwsgi.googlecode.com/files/mod_wsgi-%{version}.tar.gz
Patch1:         mod_wsgi-3.4-configure-python3.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  httpd-devel
BuildRequires:  %{?scl_prefix}python-devel
Requires: httpd-mmn = %(cat `apxs -q INCLUDEDIR`/.mmn || echo missing)
%{?scl:Requires: %scl_runtime}

# Suppress auto-provides for module DSO
%{?filter_provides_in: %filter_provides_in %{_httpd_moddir}/.*\.so$}
%{?filter_setup}

%description
The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.


%prep
%setup -q -n %{pkg_name}-%{version}

%if %{use_python3}
%patch1 -p1 -b .python3
%endif

%build

export libdirname=%{_lib}
export CFLAGS="-fno-strict-aliasing"

%{?scl:scl enable %{scl} - << \EOF}
set -x
%configure --enable-shared
make %{?_smp_mflags}
%{?scl:EOF}



%install
rm -rf $RPM_BUILD_ROOT

export libdirname=%{_lib}

%{?scl:scl enable %{scl} - << \EOF}
set -x
make install DESTDIR=$RPM_BUILD_ROOT
%{?scl:EOF}

if [ "%{?scl_prefix}" != "" ]
then
    %__mv -f $RPM_BUILD_ROOT/%{_httpd_moddir}/mod_wsgi.so $RPM_BUILD_ROOT/%{_httpd_moddir}/%{?scl_prefix}mod_wsgi.so
fi

echo "%{_httpd_moddir}/%{?scl_prefix}mod_wsgi.so" > files.txt


%clean
rm -rf $RPM_BUILD_ROOT


%files -f files.txt
%defattr(-,root,root,-)
%doc LICENCE README


%changelog
* Tue May 06 2014 Troy Dawson <tdawson@redhat.com> - 3.4-26
- Unify spec file

* Mon May 05 2014 Troy Dawson <tdawson@redhat.com> - 3.4-25
- Bump release number to stay ahead of rhscl1.1
- remove provides of internal library (#1075680)

* Tue Dec 10 2013 Troy Dawson <tdawson@redhat.com> - 3.4-6
- Cleanup and patch for python27/python33

* Wed Aug 14 2013 Robert Millner <rmillner@redhat.com> - 3.4-5
- Revision bump to rebuild on SCL environment fixes.

* Mon Jul 15 2013 Rob Millner <rmillner@redhat.com> - 3.4-3.scl.1
- Convert package to mod_wsgi 3.4 and build in the SCL environment.
- Module uses the SCL environment as a prefix and does not get included by default.

* Thu Aug 23 2012 Joe Orton <jorton@redhat.com> - 3.2-3
- add mod_ssl.is_https, mod_ssl.var_lookup functions (#719409)

* Wed Aug 15 2012 Joe Orton <jorton@redhat.com> - 3.2-2
- fix "KeyError" exceptions (#670577)

* Wed Mar 17 2010 Joe Orton <jorton@redhat.com> - 3.2-1
- update to 3.2 (#574442)
- require httpd-mmn (#574433)

* Mon Nov 30 2009 Dennis Gregorovic <dgregor@redhat.com> - 2.5-2.1
- Rebuilt for RHEL 6

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 02 2009 James Bowes <jbowes@redhat.com> 2.5-1
- Update to 2.5

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.3-2
- Rebuild for Python 2.6

* Tue Oct 28 2008 Luke Macken <lmacken@redhat.com> 2.3-1
- Update to 2.3

* Mon Sep 29 2008 James Bowes <jbowes@redhat.com> 2.1-2
- Remove requires on httpd-devel

* Wed Jul 02 2008 James Bowes <jbowes@redhat.com> 2.1-1
- Update to 2.1

* Mon Jun 16 2008 Ricky Zhou <ricky@fedoraproject.org> 1.3-4
- Build against the shared python lib.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3-3
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 James Bowes <jbowes@redhat.com> 1.3-2
- Require httpd

* Sat Jan 05 2008 James Bowes <jbowes@redhat.com> 1.3-1
- Update to 1.3

* Sun Sep 30 2007 James Bowes <jbowes@redhat.com> 1.0-1
- Initial packaging for Fedora

